# Uses of Class
org.eclipse.birt.report.model.api.PropertyHandle

Packages that use PropertyHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.util
Utility classes.

## Uses of PropertyHandle in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return PropertyHandle
Modifier and Type
Method
Description
`PropertyHandle`
GroupHandle.`getColumnBindings()`
Deprecated.
since BIRT 2.1 RC2
`PropertyHandle`
ReportItemHandleImpl.`getColumnBindings()`
Get a handle to deal with the bound column.
`PropertyHandle`
ScalarParameterHandle.`getColumnBindings()`
Get a handle to deal with the bound column.
`PropertyHandle`
DesignElementHandle.`getContainerPropertyHandle()`
Gets a handle for the container's property what holds this element.
`PropertyHandle`
DataSetHandle.`getPropertyHandle(String propName)`
`PropertyHandle`
DesignElementHandle.`getPropertyHandle(String propName)`
Returns a property handle for a top-level property.
`PropertyHandle`
ScriptDataSetHandle.`getPropertyHandle(String propName)`

## Uses of PropertyHandle in org.eclipse.birt.report.model.api.util

Methods in org.eclipse.birt.report.model.api.util with parameters of type PropertyHandle
Modifier and Type
Method
Description
`static void`
CompatibilityUtil.`addStructures(PropertyHandle propHandle, List structures)`
Adds the given structures to the corresponding property values.